---
title: "Building my first PC"
author: Yarmo Mackenbach
slug: pc-build
date: "2020-04-27 13:56:18"
published: true
---

`#100DaysToOffload >> 2020-04-27 >> 003/100`

While working in the lab for my PhD, I needed a good computer. It didn't need to be exceptional and though I did lots of biological and physics computation, I knew that GPU acceleration wasn't needed so that eliminated the need for complicated builds. I went with a NUC.

Two years ago, I started my homelab. All I needed was a relatively simple PC that I wouldn't mind leaving turned on permanently. I opted for a NUC.

Then I needed a PC I could use at home, either to do some more work or play some game. Not expecting great gaming results, I still chose a NUC.

Those "not great gaming results", I got! The 7i7 has a built-in GPU and games can definitely be played on it, but it struggled with reliability for competitive gaming. This year, that's all changing. I have built my own PC for the first time, not only allowing me to play games in a more comfortable way, this will also be my new work-at-home computer as well as being extremely performant for video editing and music mixing (thank you, foam-padded case!).

I opted for a [AMD Ryzen 5 3600](https://www.amd.com/en/products/cpu/amd-ryzen-5-3600) on a [Asus PRIME B450M-A](https://www.asus.com/Motherboards/PRIME-B450M-A/) motherboard paired with a [AMD RX580](https://www.amd.com/en/products/graphics/radeon-rx-580) GPU. OS and software goes on an NVMe m.2 drive, games on a SATA SSD, data on a 2TB HDD. 16GB of DIMM DDR4 RAM.

My [userbenchmark](https://www.userbenchmark.com/UserRun/27232925):

- UserBenchmarks: Game 67%, Desk 123%, Work 96%
- CPU: AMD Ryzen 5 3600 - 92.5%
- GPU: AMD RX 580 - 60.8%
- SSD: Kingston SA2000M8250G 250GB - 241.9%
- SSD: WD Green 240GB (2018) - 56.7%
- SSD: WD Green 240GB (2018) - 51.5%
- HDD: Seagate Barracuda 2TB (2018) - 101.7%
- RAM: Corsair Vengeance LPX DDR4 3200 C16 2x8GB - 83.4%
- MBD: Asus PRIME B450M-A

Man, I love team red.